summaryrefslogtreecommitdiff
path: root/core/src
diff options
context:
space:
mode:
Diffstat (limited to 'core/src')
-rwxr-xr-xcore/src/xmake/xmake.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/core/src/xmake/xmake.sh b/core/src/xmake/xmake.sh
index d4195c2d0..709ff525b 100755
--- a/core/src/xmake/xmake.sh
+++ b/core/src/xmake/xmake.sh
@@ -25,7 +25,9 @@ target "xmake"
add_deps "luajit"
fi
else
- add_deps "lua_cjson"
+ if ! has_config "external"; then
+ add_deps "lua_cjson"
+ fi
if has_config "lua"; then
add_options "lua" "{public}"
elif ! has_config "external"; then